# Crédits pour les infrasubdivisions

Les tables sont fournies via des fichiers CSV (sépateur ";" ou ",").


## FR - Liste des arrondissements selon l'INSEE

Le fichier :

* `inseearrond_2022.csv`

Le fichier est construit à partir du source de l'INSEE `arrondissement_2022.csv`. On trouve ce fichier millésimé sur la page [Code Officiel Géographique](https://www.insee.fr/fr/information/2560452). Il faut choisir le millésime le plus récent.

Il suffit de supprimer les colonnes inutilisées et de ne laisser que ARR,DEP et NCCENR. Il faut aussi modifier le code ISO de Paris 75 en 75C.


## FR - Liste des EPCI selon l'INSEE

Le fichier :

* `inseeepci_2022.csv`

Le fichier est construit à partir du source de l'INSEE disponible sur la page [Intercommunalité](https://www.insee.fr/fr/information/2510634) et plus précisément des onglets "EPCI" et "Composition_communale".

A partir de l'onglet EPCI on ajoute une colonne DEP par une rechercheV en recherchant dans 
l'onglet "Composition_communale". Ensuite, on supprime la colonne NB_COM et on exporte l'onglet 
"EPCI" en fichier en CSV avec le séparateur point-virgule.


## FR - Liste des communes selon l'INSEE

Le fichier :

* `inseecommune_2022.csv`

Le fichier est construit à partir du source de l'INSEE `commune_2022.csv`. On trouve ce fichier millésimé sur la page [Code Officiel Géographique](https://www.insee.fr/fr/information/2560452). Il faut choisir le millésime le plus récent.

Il faut d'abord supprimer les colonnes inutilisées et de ne laisser que TYPECOM, COM, ARR, 
NCCENR, CAN et COMPARENT. Ensuite, on ajoute une colonne EPCI pour identifier le lien de parenté 
avec un EPCI si besoin. Pour cela, on utilise sous Excel le fichier des communes et celui des 
EPCI, l'onglet "Composition_communale" (rechercheV).

En fin, on exporte le fichier Excel en CSV.


## FR - Coordonnées géographiques des communes

Le fichier :

* `inseecommune-latlon.csv`

Le fichier est construit à partir du source de la poste disponible à l'adresse 
https://datanova.laposte.fr/explore/dataset/laposte_hexasmal/information/?disjunctive.code_commune_insee&disjunctive.nom_de_la_commune&disjunctive.code_postal&disjunctive.ligne_5.

Ensuite, seules les colonnes Code_commune_INSEE et coordonnees_gps sont conservées. On supprime 
les doublons du code INSEE car les coordonnées sont toujours identiques, on ajoute le préfixe 
"FR-" devant le code COG de la commune et on sépare les coordonnées dans deux colonnes lat et lon.


## FR - Codes postal des communes

Le fichier :
* inseecommune-postcode.csv (à venir)


## US - Liste des comtés américains et territoires outremarins

Le fichier :
* usbcounty_052020.csv

Le fichier est contruit à partir du fichier du Census Bureau [national_county.txt](https://www2.census.gov/geo/docs/reference/codes/files/national_county.txt) que l'on trouve sur la page A partir de la page [American National Standards Institute (ANSI) and Federal Information Processing Series (FIPS) Codes, paragraphe State and State Equivalents](https://www.census.gov/library/reference/code-lists/ansi.html#county) en choissisant United Stated dans la list proposée.

Ce fichier peut être importé sous excel comme un fichier CSV.
